version: '3.7'

services:
#  load-benchmark-hypopg: &bm
#    build: join-order-benchmark/
#    environment:
#      PG_CONNECTION: "postgres://postgres:postgres@postgres-hypopg/postgres"
#    command: >-
#      dockerize -wait tcp://postgres-hypopg:5432
#      ./setup_db.sh
  postgres-hypopg:
    build: 
      context: postgres-hypopg/
      args:
        base_image: postgres:11
    volumes:
      - hypopg-db-logs:/var/log/postgresql
    command:
      - "postgres"
      - "-c"
      - "logging_collector=on"
      - "-c"
      - "log_destination=stderr"
      - "-c"
      - "log_directory=/var/log/postgresql"
      - "-c"
      - "log_filename=postgresql-11.main.log"
      - "-c"
      - "max_connections=1000"
      - "-c"
      - "log_min_duration_statement=10" # in ms
    shm_size: '1gb'
volumes:
  hypopg-db-logs: null
  plain-pg-db-logs: null
